List all users

Returns a list of all users in your ControlUp organization, including users with a pending invitation.

Required permission: Manage Users

Path Params
uuid
required
^[0-9A-Fa-f]{8}-[0-9A-Fa-f]{4}-4[0-9A-Fa-f]{3}-[89ABab][0-9A-Fa-f]{3}-[0-9A-Fa-f]{12}$

ID of your ControlUp organization. You can find your organization ID on the API Key Management page in the DEX platform.

Query Params
int32
≥ 1
Defaults to 1

The page of results to return.
The first page is page number 1.

int32
≥ 1
Defaults to 10

The number of results returned per page.

string
enum
Defaults to id

Sorts results according to the specified field.

string
enum
Defaults to asc

The sort order (ascending / descending) of the field specified by the _sortBy parameter.

Allowed:
string

A search filter that is applied to all fields.
Only results that contain the specified string are returned.

_include
array of objects

Include additional information about related resources in the results.

_include
Allowed:
string
enum
Defaults to json

The format of returned results.

Allowed:
phone
array of objects

A search filter on the phone field.

phone
fullName
array of strings

A search filter on the fullName field.

fullName
lastName
array of strings

A search filter on the lastName field.

lastName
firstName
array of strings

A search filter on the firstName field.

firstName
email
array of strings

A search filter on the email field.

email
id
array of strings

A search filter on the id field.

id
Responses

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json